## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class EnumerationType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType

All Implemented Interfaces:
  IDefaultValue, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  BooleanType, ColorType, ContentType, CurrencyCodeType, LanguageCodeType, LinkType, NumberType, StringType, TimeZoneType

    public abstract class EnumerationType

extends AbstractEnumerationType

Abstract meta-data processing type representing an enumeration attribute value runtime type with a single signature

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`EnumerationType()`

Method Summary
`org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
`getDefaultValue, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`isValidValue`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### EnumerationType

    public EnumerationType()

Method Detail

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                   throws ELIsNotValidException

  Description copied from interface: `IValidELValues`
  Expected runtime type for EL value

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Specified by:
    `getExpectedRuntimeType` in class `AbstractEnumerationType`
  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`